<?xml version='1.0' encoding='UTF-8'?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="${finalName}-PersistenceUnit">
        <provider>org.hibernate.ejb.HibernatePersistence</provider>
        <jta-data-source>java:jboss/datasources/${finalName}DS</jta-data-source>
        <jar-file>gazelle-tls-jar.jar</jar-file>
        <jar-file>gazelle-pki-jar.jar</jar-file>
        <jar-file>gazelle-xua-jar.jar</jar-file>
        <jar-file>AuditMessage-ejb.jar</jar-file>
        <jar-file>mbval-documentation-ejb.jar</jar-file>
        <jar-file>atna-questionnaire-ejb.jar</jar-file>
        <jar-file>gazelle-syslog.jar</jar-file>
        <jar-file>gazelle-xua-tester-jar.jar</jar-file>
        <class>net.ihe.gazelle.proxy.admin.model.ApplicationConfiguration</class>
        <class>net.ihe.gazelle.proxy.admin.model.ChannelConfiguration</class>
        <class>net.ihe.gazelle.proxy.admin.model.Home</class>
        <class>net.ihe.gazelle.proxy.admin.model.Subject</class>
        <class>net.ihe.gazelle.proxy.model.message.AbstractMessage</class>
        <class>net.ihe.gazelle.proxy.model.message.Connection</class>
        <class>net.ihe.gazelle.proxy.model.message.DicomMessage</class>
        <class>net.ihe.gazelle.proxy.model.message.HL7Message</class>
        <class>net.ihe.gazelle.proxy.model.message.HTTPMessage</class>
        <class>net.ihe.gazelle.proxy.model.message.RawMessage</class>
        <class>net.ihe.gazelle.proxy.model.message.SyslogMessage</class>
        <class>net.ihe.gazelle.proxy.model.message.TlsErrorMessage</class>
        <properties>

            <property name="jboss.entity.manager.factory.jndi.name"
                      value="java:jboss/root/${finalName}-EntityManagerFactory"/>

            <property name="hibernate.connection.driver_class" value="${jdbc.driver.class}"/>
            <property name="hibernate.connection.datasource" value="java:jboss/datasources/${finalName}DS"/>
            <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>
            <property name="hibernate.cache.provider_configuration_file_resource_path" value="classpath:ehcache.xml"/>
            <property name="hibernate.hbm2ddl.auto" value="${hibernate.hbm2ddl.auto}"/>
            <property name="hibernate.show_sql" value="${hibernate.show_sql}"/>
            <property name="hibernate.format_sql" value="true"/>

            <property name="hibernate.c3p0.min_size" value="${min.pool.size}"/>
            <property name="hibernate.c3p0.max_size" value="${max.pool.size}"/>
            <property name="hibernate.c3p0.max_statements" value="50"/>
            <property name="hibernate.c3p0.acquire_increment" value="1"/>

            <property name="hibernate.c3p0.idle_test_period" value="60"/>
            <property name="hibernate.c3p0.timeout" value="300"/>

            <property name="hibernate.c3p0.unreturnedConnectionTimeout" value="400"/>
            <property name="hibernate.c3p0.debugUnreturnedConnectionStackTraces" value="true"/>

            <property name="hibernate.cache.region.factory_class"
                      value="org.hibernate.cache.ehcache.EhCacheRegionFactory"/>
            <property name="hibernate.cache.use_query_cache" value="false"/>
            <property name="hibernate.cache.use_second_level_cache" value="false"/>

            <property name="hibernate.id.new_generator_mappings" value="false"/>
        </properties>
    </persistence-unit>
</persistence>
